Skip to content
Documentation

Tagged time series

Use these endpoints for curves with curve_type TAGGED. Paths are relative to the base URL https://data-forecasts.volue.com/api/v1/timeseries.

GET /series/tagged/{id}/tags

List all tags available for the specified curve.

Name Type Description Required
id integer Curve ID Yes
GET /series/tagged/{id}

Get a time series from the specified curve and tag. If no tag is given, the first tag is returned.

The response is a list with one time series per tag, also when you ask for a single tag.

Name Type Description Required
id integer Curve ID Yes
Name Type Description
tag string The tag to get data for. Can be repeated.
from datetime Return values from this time (inclusive)
to datetime Return values up to this time (exclusive)
time_zone string Change the curve time zone before aggregation
output_time_zone string Change the curve time zone after filtering and frequency change
filter string Filter out parts of the time series. Filtering is done before aggregation/split
function string The aggregation/split function to use when changing frequency
frequency string The frequency of the output

output_time_zone changes the time zone of the output. With a filter or an aggregation/split function, it is applied after them. How the time stamps change depends on the curve frequency, see Time zones.

© 2026 Volue.Version v0.6.38017 November 2026